﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;
using System.ComponentModel;

namespace RadDataForm_WPF_CurrentItemChanged
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
			var items = new QueryableCollectionView(Club.GetClubs());
			items.CurrentChanging += new System.ComponentModel.CurrentChangingEventHandler(items_CurrentChanging);		
			this.dataform.ItemsSource = items;

		}

		void items_CurrentChanging(object sender, System.ComponentModel.CurrentChangingEventArgs e)
		{			
			string name = ((sender as ICollectionView).CurrentItem as Club).Name;
			MessageBox.Show(name);
		}
	}
}
